import type { Bindings, Logger } from './types';
export declare function createDebuggerAPI(bindings: Bindings, apiNamespace: string, logger: Logger): {
    applyToContexts: (contexts: object[]) => () => void;
    resultPromise: Promise<unknown>;
    api: {
        resumeExecution: (value?: unknown) => void;
        failExecution: (reason?: unknown) => void;
    };
};
