/// <reference types="node" />
import { ReplOptions } from 'repl';
import type { Bindings, DebugAsyncCommonOptions } from './types';
export declare const debugAsync: (bindings: Bindings, options?: DebugAsyncNodeOptions) => Promise<unknown>;
export interface DebugAsyncNodeOptions extends DebugAsyncCommonOptions {
    replOptions?: ReplOptions;
}
export declare function createDebugAsyncNode({ defaults: { contexts: contextsDefault, logger: defaultLogger, apiNamespace: apiNamespaceDefault, replOptions: replOptionsDefault } }?: {
    defaults?: DebugAsyncNodeOptions;
}): (bindings: Bindings, options?: DebugAsyncNodeOptions) => Promise<unknown>;
